package cicaprojekt;

import java.util.HashMap;

public class Field extends cicaprojekt.Tile
{
	public static Field testField;

	public Field() {
		setItemOnTile(new Box());

		adjacentTile = new HashMap<Direction, Tile>();
		adjacentTile.put(Direction.NORTH, Field.testField);
		adjacentTile.put(Direction.EAST, Field.testField);
		adjacentTile.put(Direction.SOUTH, Field.testField);
		adjacentTile.put(Direction.WEST, Field.testField);
	}

	@Override
	public void spawnStargate(cicaprojekt.Stargate stargate, Direction direction) {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.spawnStargate(Stargate stargate, Direction direction)");
		adjacentTile.get(direction).spawnStargate(stargate, direction);
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.spawnStargate(Stargate stargate, Direction direction)");
		Menu.removeTab();
	}

	public void onEntry() {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.onEntry()");
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.onEntry()");
		Menu.removeTab();
	}

	public void onExit() {
		Menu.addTab();
		System.out.println(">" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.onExit()");
		System.out.println("<" + "[" + ":" + this.getClass().getSimpleName() + "]" + Menu.tabulator + "Field.onExit()");
		Menu.removeTab();
	}

}
